Common
Create a user contact
Creates a contact owned by the calling user. sharedWithAccount is always derived from the caller's account settings; any value sent in the request body is ignored.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body for POST /common/user/contact/create.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/common/user/contact/create" \ -H "Content-Type: application/json" \ -d '{ "name": "Jane Doe", "email": "jane.doe@example.com" }'{ "result": { "data": { "userContact": { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "Jane Doe", "email": "jane.doe@example.com", "sharedWithAccount": true, "subscriptionUserGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7" } }, "statusCode": 200, "message": "OK" }, "origin": "POST https://api.doctavian.com/v1/common/user/contact/create", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "39411695a7e713f999d908abe389e4df", "userId": "c6326bd0-2bbb-41e8-96aa-8b63e91752a2"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "Missing contact share setting.", "userMessage": "Please contact your administrator to complete account setup." } ], "message": "Missing contact share setting.", "statusCode": 400 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "48a00e0a1c691c3ccfe73ff0406addc0", "origin": "POST https://api.doctavian.com/v1/common/user/contact/create", "userId": "1ecaec36-0ca9-4dca-a6b8-c9bb41e22a89"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "Name is required.", "userMessage": "Name is required." } ], "message": "One or more validation errors occurred.", "statusCode": 401 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "0b5ea780a8e1875eb5fdf0817b390795", "origin": "POST https://api.doctavian.com/v1/common/user/contact/create", "userId": "fb5f6f94-84de-4c70-bcd0-9a9fa3ec002f"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "Name is required.", "userMessage": "Name is required." } ], "message": "One or more validation errors occurred.", "statusCode": 403 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "cd19b944fc7697f8e32ca089f684688e", "origin": "POST https://api.doctavian.com/v1/common/user/contact/create", "userId": "f069a8a2-b077-47e2-bd23-a114fe1290ed"}{ "error": { "innerErrors": [ { "code": "FUNCTION_EXECUTION_ERROR", "message": "An unexpected error occurred while processing the request.", "userMessage": "Something went wrong. Please contact support." } ], "message": "An unexpected error occurred while processing the request.", "statusCode": 500 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "e78436357c37f2b1eeec52d1adeadad8", "origin": "POST https://api.doctavian.com/v1/common/user/contact/create", "userId": "df09b711-e731-4ec3-94f9-2743e91dd811"}